lein과 cider-nrepl 최신 버전 업데이트 내역에 대해서 기록으로 남긴다.
기존 환경
- lein 2.7.3
- cider-nrepl 0.18.0

위 환경 이용 시 warning문제로 오늘 휴가를 사용하여, 전체적으로 버전업을 진행하였다.

변경 항목

profiles.clj에 아래와 같이 추가 할 경우 글로벌 영역으로 어느 프로젝트에나 0.25.3 버전을 사용된다.

{:user {:plugins [[cider/cider-nrepl "0.25.3"]}}

clojars 저장소

업그레이드 전 문제

  1. Unable to resolve var: cider.nrepl/wrap-pprint in this context warning > Unable to resolve var: cider.nrepl/wrap-clojuredocs in this context 동일

    이 문제의 경우 *leiningen*을 최신버전을 이용해주자 Leiningen 2.9.4 on Java 1.8.040 Java HotSpot(TM) 64-Bit Server VM

  1. 업그레이드 후 문제 > lein 사용 시 아래의 warning 발생
WARNING: You have $CLASSPATH set, probably by accident.
It is strongly recommended to unset this before proceeding.